# Uses of Class
com.fasterxml.jackson.core.JsonPointer

Packages that use JsonPointer
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.filter

## Uses of JsonPointer in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as JsonPointer
Modifier and Type
Field
Description
`protected JsonPointer`
JsonPointer.`_head`
Reference from currently matching segment (if any) to node before leaf.
`protected final JsonPointer`
JsonPointer.`_nextSegment`
Reference to rest of the pointer beyond currently matching segment (if any); null if this pointer refers to the matching segment.
`protected static final JsonPointer`
JsonPointer.`EMPTY`
Marker instance used to represent segment that matches current node or position (that is, returns true for `matches()`).
Methods in com.fasterxml.jackson.core that return JsonPointer
Modifier and Type
Method
Description
`protected JsonPointer`
JsonPointer.`_constructHead()`
`protected JsonPointer`
JsonPointer.`_constructHead(int suffixLength, JsonPointer last)`
`protected static JsonPointer`
JsonPointer.`_parseTail(String fullPath)`
`JsonPointer`
JsonPointer.`append(JsonPointer tail)`
Mutant factory method that will return `tail` if `this` instance is "empty" pointer, OR `this` instance if `tail` is "empty" pointer, OR Newly constructed `JsonPointer` instance that starts with all segments of `this`, followed by all segments of `tail`.
`JsonPointer`
JsonPointer.`appendIndex(int index)`
ATTENTION! `JsonPointer` is head centric, tail appending is much costlier than head appending.
`JsonPointer`
JsonPointer.`appendProperty(String property)`
ATTENTION! `JsonPointer` is head centric, tail appending is much costlier than head appending.
`static JsonPointer`
JsonPointer.`compile(String expr)`
Factory method that parses given input and construct matching pointer instance, if it represents a valid JSON Pointer: if not, a `IllegalArgumentException` is thrown.
`static JsonPointer`
JsonPointer.`empty()`
Accessor for an "empty" expression, that is, one you can get by calling `compile(java.lang.String)` with "" (empty String).
`static JsonPointer`
JsonPointer.`forPath(JsonStreamContext context, boolean includeRoot)`
Factory method that will construct a pointer instance that describes path to location given `JsonStreamContext` points to.
`JsonPointer`
JsonPointer.`head()`
Accessor for getting a pointer instance that is identical to this instance except that the last segment has been dropped.
`JsonPointer`
JsonPointer.`last()`
`JsonPointer`
JsonPointer.`matchElement(int index)`
Method that may be called to check whether the pointer head (first segment) matches specified Array index and if so, return `JsonPointer` that represents rest of the path after match.
`JsonPointer`
JsonPointer.`matchProperty(String name)`
Method that may be called to check whether the pointer head (first segment) matches specified Object property (by name) and if so, return `JsonPointer` that represents rest of the path after match.
`JsonPointer`
JsonStreamContext.`pathAsPointer()`
Factory method for constructing a `JsonPointer` that points to the current location within the stream that this context is for, excluding information about "root context" (only relevant for multi-root-value cases)
`JsonPointer`
JsonStreamContext.`pathAsPointer(boolean includeRoot)`
Factory method for constructing a `JsonPointer` that points to the current location within the stream that this context is for, optionally including "root value index"
`JsonPointer`
JsonPointer.`tail()`
Accessor for getting a "sub-pointer" (or sub-path), instance where current segment has been removed and pointer includes rest of the segments.
`static JsonPointer`
JsonPointer.`valueOf(String expr)`
Alias for `compile(java.lang.String)`; added to make instances automatically deserializable by Jackson databind.
Methods in com.fasterxml.jackson.core with parameters of type JsonPointer
Modifier and Type
Method
Description
`protected JsonPointer`
JsonPointer.`_constructHead(int suffixLength, JsonPointer last)`
`JsonPointer`
JsonPointer.`append(JsonPointer tail)`
Mutant factory method that will return `tail` if `this` instance is "empty" pointer, OR `this` instance if `tail` is "empty" pointer, OR Newly constructed `JsonPointer` instance that starts with all segments of `this`, followed by all segments of `tail`.
`TreeNode`
TreeNode.`at(JsonPointer ptr)`
Method for locating node specified by given JSON pointer instances.
Constructors in com.fasterxml.jackson.core with parameters of type JsonPointer
Modifier
Constructor
Description
`protected`
`JsonPointer(String fullString, int fullStringOffset, String segment, int matchIndex, JsonPointer next)`
`protected`
`JsonPointer(String fullString, int fullStringOffset, String segment, JsonPointer next)`

## Uses of JsonPointer in com.fasterxml.jackson.core.filter

Fields in com.fasterxml.jackson.core.filter declared as JsonPointer
Modifier and Type
Field
Description
`protected final JsonPointer`
JsonPointerBasedFilter.`_pathToMatch`
Methods in com.fasterxml.jackson.core.filter with parameters of type JsonPointer
Modifier and Type
Method
Description
`protected JsonPointerBasedFilter`
JsonPointerBasedFilter.`construct(JsonPointer pathToMatch, boolean includeAllElements)`
Overridable factory method use for creating new instances by default `JsonPointerBasedFilter.includeElement(int)` and `JsonPointerBasedFilter.includeProperty(java.lang.String)` methods: needs to be overridden if sub-classing this class.
Constructors in com.fasterxml.jackson.core.filter with parameters of type JsonPointer
Modifier
Constructor
Description
``
`JsonPointerBasedFilter(JsonPointer pathToMatch)`
``
`JsonPointerBasedFilter(JsonPointer pathToMatch, boolean includeAllElements)`